Page MenuHomeFreeBSD

efinet: Defer exclusively opening the network handles
ClosedPublic

Authored by scottph on Jun 14 2019, 8:53 PM.

Details

Summary

Don't commit to exclusive access to the network device handle by
efinet until the loader has decided to load something through the
network. This allows for the possibility of other users of the
network device.

Test Plan

Do UEFI PXE, see that it continues to work.

Diff Detail

Repository
rS FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

scottph created this revision.Jun 14 2019, 8:53 PM
lwhsu added a subscriber: lwhsu.Jun 16 2019, 2:03 PM
tsoome accepted this revision.Jun 19 2019, 8:07 AM

also chain /boot/loader.efi does not complain about network any more. network boot seems to be all ok too.

This revision is now accepted and ready to land.Jun 19 2019, 8:07 AM
emaste accepted this revision.Jun 19 2019, 2:16 PM

Mentor approval for commit.

You can add a "Tested by: tsoome", or probably "Tested by: bcran, tsoome"

This revision was automatically updated to reflect the committed changes.